Get all firm expectations Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/expectation

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [statement].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[status] string

    Filter expectations based on their status. Available options: expecting,ready_for_reconciliation

  • filter[statement_uuids] string

    Filter expectations by a statement UUID.

  • filter[date_after] string

    Get charges from an expectation date.

  • filter[date_before] string

    Get charges to an expectation date.

  • filter[amount_from] string

    Get charges greater than or equal to an expected amount in pennies.

  • filter[amount_to] string

    Get charges less than or equal to an expected amount in pennies.

  • filter[client_uuids] string

    Comma separated string of partial names or exact account UUIDs to filter by.

  • filter[circle_uuids] string

    Filter by a comma separated list of circle UUIDs.

  • filter[group_uuids] string

    Comma separated string group UUIDs to filter by.

  • filter[category] string

    Comma separated string of categories to filter by.

  • filter[type] string

    Comma separated string of categories to filter by.

  • filter[policy_number] string

    Comma separated string of partial policy numbers to filter by.

  • filter[provider_uuids] string

    Comma separated string of partial provider names or exact provider UUIDs to filter by.

  • filter[plan_uuids] string

    Comma separated string of partial plan names or exact plan UUIDs to filter by.

  • filter[payment_origin] string

    Filter expectations to client or provider paid. Valid options are [client, provider]

  • filter[seller_uuids] string

    Comma separated string of partial names or exact account UUIDs to filter by.

  • filter[reconciliation] string

    Filter expectations based on their reconciliation amount. Available options: reconciled,unreconciled,partially_reconciled

  • filter[reconciliation_percentage_between] string

    Filter expectations based on their reconciliation amount between two values as a percentage.

  • filter[reconciliation_amount_between] string

    Filter expectations based on their reconciliation amount between two values in pennies.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, expected_payment_date, expected_amount]. Negative sign to denote DESC. Defaults to 'expected_payment_date'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • payment_origin string

        Who you expect to be paying this expectation

      • type string

        Expectation type, fee or commission

      • category string

        Expectation category, used for accurate reporting

      • expected_payment_date string

        Expected payment date of expectation

      • tax_exempt boolean

        Denotes if this expectation is tax exempt

      • tax integer

        Tax percentage that was applied to this expectation

      • recurring boolean

        Denotes if this expectation is from a recurring charge

      • is_balanced boolean

        Denotes if the expected amount has been balanced to the reconciled amount

      • unbalanced_expected_amount object

        The unbalanced amount the expectation is expected to received

        Hide unbalanced_expected_amount attributes Show unbalanced_expected_amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • expected_amount object

        Amount the expectation is expected to be received

        Hide expected_amount attributes Show expected_amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • gross_amount object

        Gross amount the expectation is expected to be received

        Hide gross_amount attributes Show gross_amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • net_amount object

        Net amount the expectation is expected to be received

        Hide net_amount attributes Show net_amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • amount object

        Amount that was entered for the charge

        Hide amount attributes Show amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • percentage number

        Percentage of plans value that was entered for the charge

      • exclude_from_rmar boolean

        Denotes if this expectation will be excluded from RMAR

      • rmar_type string

        RMAR type

      • advice_type string

        Advice type

      • service_type string

        Service type

      • advice_area_gross object

        RMAR advice area gross values.

        Hide advice_area_gross attributes Show advice_area_gross attributes object
        • deposit integer
        • non_regulated integer
        • non_rmar integer
        • non_investment_insurance integer
        • regulated_mortgage integer
        • retail_investment integer
        • other_fca_regulated integer
        • unknown integer
      • advice_area_net object

        RMAR advice area net values.

        Hide advice_area_net attributes Show advice_area_net attributes object
        • deposit integer
        • non_regulated integer
        • non_rmar integer
        • non_investment_insurance integer
        • regulated_mortgage integer
        • retail_investment integer
        • other_fca_regulated integer
        • unknown integer
      • account object

        Client this expectation belongs to

        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • seller object

        Adviser who sold this expectation

        Hide seller attributes Show seller attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • author object

        Adviser who created the charge of this expectation

        Hide author attributes Show author attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • charge_schedule object

        The expectation schedule for a recurring expectation

        Hide charge_schedule attributes Show charge_schedule attributes object
        • uuid string
        • created_at string
        • updated_at string
        • payment_origin string
        • type string
        • category string
        • recurring boolean
        • frequency string
        • start_date string
        • end_date string
        • next_expectation_date string
        • tax_exempt boolean
        • tax number
        • amount object
          Hide amount attributes Show amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • percentage number
        • percentage_frequency string
        • charge_identifier string
        • exclude_from_rmar boolean
        • rmar_type string
        • advice_type string
        • service_type string
        • advice_area object
          Hide advice_area attributes Show advice_area attributes object
          • deposit integer
          • non_regulated integer
          • non_rmar integer
          • non_investment_insurance integer
          • regulated_mortgage integer
          • retail_investment integer
          • other_fca_regulated integer
          • unknown integer
        • plan_value string
        • chargeable_type object
          Hide chargeable_type attributes Show chargeable_type attributes object
          • amount string
          • currency string
          • formatted string
        • chargeable string
        • account string
        • author string
        • seller string
        • premium string
        • firm string
        • notes_count integer
      • chargeable_type string

        Model type this expectation belongs to

      • chargeable object

        Model this expectation belongs to e.g. plan

        Hide chargeable attributes Show chargeable attributes object
        • uuid string
        • created_at string
        • updated_at string
        • opened_at string
        • name string
        • type string
        • sub_type string
        • abstract_type string
        • policy_number string
        • proposal_reference string
        • status string
        • inactive_at string
        • inactive_reason string
        • agency_in_your_name boolean
        • agency_in_your_name_from string
        • originally_sold_by_firm boolean
        • under_advice boolean
        • visible_on_client_portal boolean
        • include_in_client_valuation boolean
        • show_on_joint boolean
        • shown_on_circles boolean
        • review_date string
        • on_panel boolean
        • is_group_scheme boolean
        • is_sub_group_scheme boolean
        • is_group_scheme_member boolean
        • advice_area string
        • main_account string
        • sub_accounts string
        • provider string
        • covers string
        • claims string
        • total_benefit_amount object
          Hide total_benefit_amount attributes Show total_benefit_amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • total_benefits object
          Hide total_benefits attributes Show total_benefits attributes object
          • critical_illness object
            Hide critical_illness attributes Show critical_illness attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • family_income_benefit object
            Hide family_income_benefit attributes Show family_income_benefit attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
        • latest_valuations string
        • value object
          Hide value attributes Show value attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • valued_at string
        • original_valued_at string
        • client string
        • accounts string
        • seller string
        • linked_owners string
        • linked_plans string
        • visible_to_circles string
        • statistics object
          Hide statistics attribute Show statistics attribute object
          • recent_growth integer
        • cases string
        • tags string
        • is_wrap_product boolean
        • is_wrap_child boolean
        • wrap string
        • wrap_children string
        • linked_policy_numbers string
        • can_be_deleted string
        • contract_enquiry_account string
        • custom_fields string
        • external_references string
      • statement_transactions array[object]

        Payments used to reconcile the expectation

        Hide statement_transactions attributes Show statement_transactions attributes object
        • uuid string
        • created_at string
        • updated_at string
        • client_name string
        • transaction_reference string
        • policy_number string
        • date string
        • gross_amount object
          Hide gross_amount attributes Show gross_amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • net_amount object
          Hide net_amount attributes Show net_amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • category string
        • payment_origin string
        • agency_number string
        • product_reference string
        • adviser_name string
        • sender_id_sib_number string
        • reason string
        • scheme_name string
        • scheme_number string
        • customer_number string
        • policy_market_value string
        • provider string
        • provider_statement string
        • metadata object
          Hide metadata attribute Show metadata attribute object
          • client_name string
        • expectation string
        • bank_transactions string
        • statement string
        • account string
        • firm string
      • statement object

        The statement period this expectation belongs to

        Hide statement attributes Show statement attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • start_date string
        • end_date string
        • locked boolean
        • locked_at string
        • locked_by string
        • total_expectations object
          Hide total_expectations attributes Show total_expectations attributes object
          • amount string
          • currency string
          • formatted string
        • total_statement_transactions object
          Hide total_statement_transactions attributes Show total_statement_transactions attributes object
          • amount string
          • currency string
          • formatted string
        • total_bank_transactions object
          Hide total_bank_transactions attributes Show total_bank_transactions attributes object
          • amount string
          • currency string
          • formatted string
        • total_expectation_amount_reconciled_to_bank object
          Hide total_expectation_amount_reconciled_to_bank attributes Show total_expectation_amount_reconciled_to_bank attributes object
          • amount string
          • currency string
          • formatted string
        • total_expectation_percentage_reconciled_to_bank object
          Hide total_expectation_percentage_reconciled_to_bank attributes Show total_expectation_percentage_reconciled_to_bank attributes object
          • amount string
          • currency string
          • formatted string
        • expectations_count integer
        • statement_transactions_count integer
        • statement_transactions string
      • income_splits array[object]

        Details of who will be receiving what of this expectation

        Hide income_splits attributes Show income_splits attributes object
        • splitable_type string
        • splitable_uuid string
        • type string
        • name string
        • requested_percentage integer
        • percentage integer
        • expected_amount object
          Hide expected_amount attributes Show expected_amount attributes object
          • amount string
          • currency string
          • formatted string
        • expected_gross_amount object
          Hide expected_gross_amount attributes Show expected_gross_amount attributes object
          • amount string
          • currency string
          • formatted string
        • expected_net_amount object
          Hide expected_net_amount attributes Show expected_net_amount attributes object
          • amount string
          • currency string
          • formatted string
        • expected_fci_recognition object
          Hide expected_fci_recognition attributes Show expected_fci_recognition attributes object
          • amount string
          • currency string
          • formatted string
        • reconciled_gross_amount object
          Hide reconciled_gross_amount attributes Show reconciled_gross_amount attributes object
          • amount string
          • currency string
          • formatted string
        • reconciled_net_amount object
          Hide reconciled_net_amount attributes Show reconciled_net_amount attributes object
          • amount string
          • currency string
          • formatted string
        • reconciled_fci_recognition object
          Hide reconciled_fci_recognition attributes Show reconciled_fci_recognition attributes object
          • amount string
          • currency string
          • formatted string
        • bank_receipt_date string
      • firm object

        Firm this expectation schedule belongs to

        Hide firm attributes Show firm attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
        • address_1 string
        • address_2 string
        • town_city string
        • county string
        • postcode string
        • country string
        • regulatory_text string
        • logo_icon string
        • brand_colours object
          Hide brand_colours attributes Show brand_colours attributes object
          • sidebar_background string
          • sidebar_accent string
          • sidebar_text string
          • sidebar_hover string
          • sidebar_active string
          • sidebar_title_background string
          • sidebar_title_primary string
          • sidebar_title_secondary string
          • sidebar_title_secondary_hover string
          • email_background string
          • email_logo_background_panel string
          • email_sub_text string
          • email_button_background string
          • email_button_text string
          • portal_sidebar_button_background string
          • portal_sidebar_button_hover string
          • portal_sidebar_button_active string
          • portal_brand_title string
          • portal_brand_sub_title string
          • portal_sidebar_title string
          • portal_sidebar_text string
          • portal_sidebar_text_hover string
          • portal_sidebar_text_active string
          • portal_sidebar_icon string
          • portal_sidebar_icon_hover string
          • portal_sidebar_icon_active string
          • portal_background string
          • portal_sidebar_account_title string
          • portal_sidebar_account_email string
          • portal_sidebar_divider string
          • portal_dashboard_bg_one string
          • portal_dashboard_bg_two string
          • portal_sidebar_collapse_button string
          • portal_sidebar_collapse_button_hover string
          • portal_sidebar_user_select_background string
          • portal_sidebar_user_select_hover string
          • portal_sidebar_user_select_text string
          • portal_sidebar_user_select_text_hover string
          • portal_sidebar_user_select_border string
          • portal_sidebar_user_select_border_hover string
        • is_subscribed boolean
        • addon_subscriptions string
        • keep_deleted_files_for integer
        • tax number
        • month_end integer
        • statement_frequency string
        • billing object
          Hide billing attributes Show billing attributes object
          • invoice_address_1 string
          • invoice_address_2 string
          • invoice_town_city string
          • invoice_county string
          • invoice_postcode string
          • invoice_country string
          • invoice_email string
        • task_board_template string
        • ip_whitelist array[string]
        • welcome_paragraph_html string
        • email_welcome_paragraph_html string
        • show_fact_find_illustrations boolean
        • cc_email_addresses array[string]
        • bcc_email_addresses array[string]
        • reply_to_email_address string
        • mobile_app_support_number string
        • mobile_app_support_email string
      • notes_count integer

        Notes count

      • reconciliation object

        The amount that the expectation has been reconciled to statement transactions.

        Hide reconciliation attributes Show reconciliation attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • percentage integer
        • is_reconciled boolean
GET /api/v1/expectation
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/expectation' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "92220e54-176b-42d5-82dc-40f37d090c13",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "payment_origin": "provider",
      "type": "fee",
      "category": "ongoing_fee",
      "expected_payment_date": "2026-06-08T16:08:03+01:00",
      "tax_exempt": true,
      "tax": 20,
      "recurring": true,
      "is_balanced": false,
      "unbalanced_expected_amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "expected_amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "gross_amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "net_amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "percentage": 0.75,
      "exclude_from_rmar": true,
      "rmar_type": "adviser_charge",
      "advice_type": "independent",
      "service_type": "initial",
      "advice_area_gross": {
        "deposit": 7500,
        "non_regulated": 0,
        "non_rmar": 0,
        "non_investment_insurance": 0,
        "regulated_mortgage": 2500,
        "retail_investment": 0,
        "other_fca_regulated": 0,
        "unknown": 0
      },
      "advice_area_net": {
        "deposit": 7500,
        "non_regulated": 0,
        "non_rmar": 0,
        "non_investment_insurance": 0,
        "regulated_mortgage": 2500,
        "retail_investment": 0,
        "other_fca_regulated": 0,
        "unknown": 0
      },
      "account": {
        "uuid": "f45aa60b-7791-45dd-bc25-0622be0d9f3a",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "firm": "App\\Http\\Resources\\FirmResource",
        "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
        "primary_email": "App\\Http\\Resources\\ContactDetailResource",
        "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
        "assigned_adviser": "App\\Http\\Resources\\AccountResource",
        "assigned_administrator": "App\\Http\\Resources\\AccountResource",
        "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
        "introduced_by": "App\\Http\\Resources\\AccountResource",
        "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
        "groups": "App\\Http\\Resources\\GroupResource",
        "tags": "App\\Http\\Resources\\TagResource",
        "owners": "App\\Http\\Resources\\AccountResource",
        "first_contact_date": "2026-06-08T16:08:03+01:00",
        "next_review_date": "2026-06-08T16:08:03+01:00",
        "previous_review_date": "2026-06-08T16:08:03+01:00",
        "anniversary_review_date": "2026-06-08T16:08:03+01:00",
        "terms_of_business_at": "2026-06-08T16:08:03+01:00",
        "client_agreement_at": "2026-06-08T16:08:03+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "joint_account_circle": "App\\Http\\Resources\\CircleResource",
        "circles": "App\\Http\\Resources\\CircleResource",
        "ownership_percentage": 100,
        "inactive_at": "2026-06-08",
        "last_interaction_at": "2026-06-08 16:08:03",
        "referral_code": "ABC12345",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        },
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      },
      "seller": {
        "uuid": "a1962891-9b0f-4f8b-b208-0ad40a4d439e",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "firm": "App\\Http\\Resources\\FirmResource",
        "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
        "primary_email": "App\\Http\\Resources\\ContactDetailResource",
        "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
        "assigned_adviser": "App\\Http\\Resources\\AccountResource",
        "assigned_administrator": "App\\Http\\Resources\\AccountResource",
        "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
        "introduced_by": "App\\Http\\Resources\\AccountResource",
        "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
        "groups": "App\\Http\\Resources\\GroupResource",
        "tags": "App\\Http\\Resources\\TagResource",
        "owners": "App\\Http\\Resources\\AccountResource",
        "first_contact_date": "2026-06-08T16:08:03+01:00",
        "next_review_date": "2026-06-08T16:08:03+01:00",
        "previous_review_date": "2026-06-08T16:08:03+01:00",
        "anniversary_review_date": "2026-06-08T16:08:03+01:00",
        "terms_of_business_at": "2026-06-08T16:08:03+01:00",
        "client_agreement_at": "2026-06-08T16:08:03+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "joint_account_circle": "App\\Http\\Resources\\CircleResource",
        "circles": "App\\Http\\Resources\\CircleResource",
        "ownership_percentage": 100,
        "inactive_at": "2026-06-08",
        "last_interaction_at": "2026-06-08 16:08:03",
        "referral_code": "ABC12345",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        },
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      },
      "author": {
        "uuid": "3591c871-a83b-479f-9741-7a8108fce463",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "firm": "App\\Http\\Resources\\FirmResource",
        "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
        "primary_email": "App\\Http\\Resources\\ContactDetailResource",
        "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
        "assigned_adviser": "App\\Http\\Resources\\AccountResource",
        "assigned_administrator": "App\\Http\\Resources\\AccountResource",
        "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
        "introduced_by": "App\\Http\\Resources\\AccountResource",
        "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
        "groups": "App\\Http\\Resources\\GroupResource",
        "tags": "App\\Http\\Resources\\TagResource",
        "owners": "App\\Http\\Resources\\AccountResource",
        "first_contact_date": "2026-06-08T16:08:03+01:00",
        "next_review_date": "2026-06-08T16:08:03+01:00",
        "previous_review_date": "2026-06-08T16:08:03+01:00",
        "anniversary_review_date": "2026-06-08T16:08:03+01:00",
        "terms_of_business_at": "2026-06-08T16:08:03+01:00",
        "client_agreement_at": "2026-06-08T16:08:03+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "joint_account_circle": "App\\Http\\Resources\\CircleResource",
        "circles": "App\\Http\\Resources\\CircleResource",
        "ownership_percentage": 100,
        "inactive_at": "2026-06-08",
        "last_interaction_at": "2026-06-08 16:08:03",
        "referral_code": "ABC12345",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        },
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      },
      "charge_schedule": {
        "uuid": "b081e49d-a60d-47bc-ac2d-132204adc274",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "payment_origin": "provider",
        "type": "fee",
        "category": "ongoing_fee",
        "recurring": true,
        "frequency": "monthly",
        "start_date": "2025-10-08",
        "end_date": "2026-07-08",
        "next_expectation_date": "2026-06-18",
        "tax_exempt": false,
        "tax": 17.5,
        "amount": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "percentage": 0.75,
        "percentage_frequency": "annually",
        "charge_identifier": "PLANNR-72484",
        "exclude_from_rmar": true,
        "rmar_type": "adviser_charge",
        "advice_type": "independent",
        "service_type": "initial",
        "advice_area": {
          "deposit": 7500,
          "non_regulated": 0,
          "non_rmar": 0,
          "non_investment_insurance": 0,
          "regulated_mortgage": 2500,
          "retail_investment": 0,
          "other_fca_regulated": 0,
          "unknown": 0
        },
        "plan_value": "plan",
        "chargeable_type": {
          "amount": "12000000",
          "currency": "GBP",
          "formatted": "£120,000.00"
        },
        "chargeable": "App\\Http\\Resources\\Plans\\PlanResource",
        "account": "App\\Http\\Resources\\AccountResource",
        "author": "App\\Http\\Resources\\AccountResource",
        "seller": "App\\Http\\Resources\\AccountResource",
        "premium": "App\\Http\\Resources\\Plans\\PremiumResource",
        "firm": "App\\Http\\Resources\\FirmResource",
        "notes_count": 5
      },
      "chargeable_type": "plan",
      "chargeable": {
        "uuid": "b493b28f-4a3a-4c3b-8757-28187ded48ae",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "opened_at": "2026-06-08T16:08:03+01:00",
        "name": "Johns ISA",
        "type": "cash_account",
        "sub_type": "lifetime isa",
        "abstract_type": "asset",
        "policy_number": "AVIVA-123",
        "proposal_reference": "AB123456",
        "status": "inactive",
        "inactive_at": "2026-06-08T16:08:03+01:00",
        "inactive_reason": "claimed",
        "agency_in_your_name": true,
        "agency_in_your_name_from": "2025-06-08",
        "originally_sold_by_firm": true,
        "under_advice": true,
        "visible_on_client_portal": true,
        "include_in_client_valuation": true,
        "show_on_joint": true,
        "shown_on_circles": true,
        "review_date": "2025-06-08",
        "on_panel": true,
        "is_group_scheme": false,
        "is_sub_group_scheme": false,
        "is_group_scheme_member": false,
        "advice_area": "non_investment_insurance",
        "main_account": "App\\Http\\Resources\\Plans\\SubAccountResource",
        "sub_accounts": "App\\Http\\Resources\\Plans\\SubAccountResource",
        "provider": "App\\Http\\Resources\\Plans\\ProviderResource",
        "covers": "App\\Http\\Resources\\Plans\\CoverResource",
        "claims": "App\\Http\\Resources\\Plans\\ClaimResource",
        "total_benefit_amount": {
          "amount": {
            "example": "25000000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£250,000.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "total_benefits": {
          "critical_illness": {
            "amount": {
              "example": "15000000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£150,000.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "family_income_benefit": {
            "amount": {
              "example": "10000000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£100,000.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          }
        },
        "latest_valuations": "App\\Http\\Resources\\Plans\\ValuationResource",
        "value": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "valued_at": "2026-06-08T16:08:03+01:00",
        "original_valued_at": "2026-06-07T16:08:03+01:00",
        "client": "App\\Http\\Resources\\AccountResource",
        "accounts": "App\\Http\\Resources\\AccountResource",
        "seller": "App\\Http\\Resources\\AccountResource",
        "linked_owners": "App\\Http\\Resources\\AccountResource",
        "linked_plans": "App\\Http\\Resources\\Plans\\PlanResource",
        "visible_to_circles": "App\\Http\\Resources\\CircleResource",
        "statistics": {
          "recent_growth": 100
        },
        "cases": "App\\Http\\Resources\\CasesResource",
        "tags": "App\\Http\\Resources\\TagResource",
        "is_wrap_product": false,
        "is_wrap_child": false,
        "wrap": "App\\Http\\Resources\\Plans\\PlanResource",
        "wrap_children": "App\\Http\\Resources\\Plans\\PlanResource",
        "linked_policy_numbers": "App\\Http\\Resources\\Plans\\LinkedPolicyNumberResource",
        "can_be_deleted": "false",
        "contract_enquiry_account": "App\\Http\\Resources\\AccountResource",
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      },
      "statement_transactions": [
        {
          "uuid": "e1c76d78-aecc-4ac8-ae59-e632baf0c3a7",
          "created_at": "2026-06-08T16:08:03+01:00",
          "updated_at": "2026-06-08T16:08:03+01:00",
          "client_name": "Gareth Thompson",
          "transaction_reference": "BnLI5ZQd4A",
          "policy_number": "AVIVA_00001",
          "date": "2026-06-08",
          "gross_amount": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "net_amount": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "category": "initial_fee",
          "payment_origin": "provider",
          "agency_number": "Agency number",
          "product_reference": "Product reference",
          "adviser_name": "Adviser name",
          "sender_id_sib_number": "Sender id sib number",
          "reason": "Reason",
          "scheme_name": "Scheme name",
          "scheme_number": "Scheme number",
          "customer_number": "Customer number",
          "policy_market_value": "Policy market value",
          "provider": "Aviva",
          "provider_statement": "App\\Http\\Resources\\ProviderStatementResource",
          "metadata": {
            "client_name": "Gareth Thompson"
          },
          "expectation": "App\\Http\\Resources\\ExpectationResource",
          "bank_transactions": "App\\Http\\Resources\\BankTransactionResource",
          "statement": "App\\Http\\Resources\\StatementResource",
          "account": "App\\Http\\Resources\\AccountResource",
          "firm": "App\\Http\\Resources\\FirmResource"
        }
      ],
      "statement": {
        "uuid": "d220473e-0a89-4746-af0c-63dcc6c6430a",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "name": "01/06/2022 - 30/06/2022",
        "start_date": "2022-06-30",
        "end_date": "2022-06-01",
        "locked": false,
        "locked_at": "2026-06-08T16:08:03+01:00",
        "locked_by": "App\\Http\\Resources\\AccountResource",
        "total_expectations": {
          "amount": "124585",
          "currency": "GBP",
          "formatted": "£1,245.85"
        },
        "total_statement_transactions": {
          "amount": "125599",
          "currency": "GBP",
          "formatted": "£1,255.99"
        },
        "total_bank_transactions": {
          "amount": "125599",
          "currency": "GBP",
          "formatted": "£1,255.99"
        },
        "total_expectation_amount_reconciled_to_bank": {
          "amount": "125599",
          "currency": "GBP",
          "formatted": "£1,255.99"
        },
        "total_expectation_percentage_reconciled_to_bank": {
          "amount": "8570",
          "currency": "GBP",
          "formatted": "£85.70"
        },
        "expectations_count": 6,
        "statement_transactions_count": 6,
        "statement_transactions": "App\\Http\\Resources\\StatementTransactionResource"
      },
      "income_splits": [
        {
          "splitable_type": "account",
          "splitable_uuid": "54130ffc-b132-4aa4-9caf-c9e2705fe84a",
          "type": "selling_adviser",
          "name": "Gareth Thompson",
          "requested_percentage": 70,
          "percentage": 70,
          "expected_amount": {
            "amount": "12500",
            "currency": "GBP",
            "formatted": "£125.00"
          },
          "expected_gross_amount": {
            "amount": "12500",
            "currency": "GBP",
            "formatted": "£125.00"
          },
          "expected_net_amount": {
            "amount": "10400",
            "currency": "GBP",
            "formatted": "£104.00"
          },
          "expected_fci_recognition": {
            "amount": "12500",
            "currency": "GBP",
            "formatted": "£125.00"
          },
          "reconciled_gross_amount": {
            "amount": "11483",
            "currency": "GBP",
            "formatted": "£114.83"
          },
          "reconciled_net_amount": {
            "amount": "9569",
            "currency": "GBP",
            "formatted": "£95.69"
          },
          "reconciled_fci_recognition": {
            "amount": "9569",
            "currency": "GBP",
            "formatted": "£95.69"
          },
          "bank_receipt_date": "2026-06-08"
        }
      ],
      "firm": {
        "uuid": "1efd651f-e8f0-4799-bd7f-39c477534cf0",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "name": "Codepotato",
        "slug": "codepotato",
        "address_1": "Suite E, 5 The Briars",
        "address_2": "Waterberry Drive",
        "town_city": "Waterlooville",
        "county": "Hampshire",
        "postcode": "PO7 7YH",
        "country": "United Kingdom",
        "regulatory_text": "Regulatory text",
        "logo": "https://api.plannrcrm.com/images/plannr.jpg",
        "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
        "brand_colours": {
          "sidebar_background": "#0E0E56",
          "sidebar_accent": "#36367E",
          "sidebar_text": "#FFFFFF",
          "sidebar_hover": "#0A0A42",
          "sidebar_active": "#53DBB8",
          "sidebar_title_background": "#36367E",
          "sidebar_title_primary": "#FFC634",
          "sidebar_title_secondary": "#FFFFFF",
          "sidebar_title_secondary_hover": "#FFFFFF",
          "email_background": "#0E0E56",
          "email_logo_background_panel": "#36367E",
          "email_sub_text": "#FFFFFF",
          "email_button_background": "#36367E",
          "email_button_text": "#FFFFFF",
          "portal_sidebar_button_background": "#F6F6F6",
          "portal_sidebar_button_hover": "#FFFFFF",
          "portal_sidebar_button_active": "#FFFFFF",
          "portal_brand_title": "#323B4B",
          "portal_brand_sub_title": "#828994",
          "portal_sidebar_title": "#11151D",
          "portal_sidebar_text": "#323B4B",
          "portal_sidebar_text_hover": "#323B4B",
          "portal_sidebar_text_active": "#323B4B",
          "portal_sidebar_icon": "#828994",
          "portal_sidebar_icon_hover": "#828994",
          "portal_sidebar_icon_active": "#828994",
          "portal_background": "#F6F6F6",
          "portal_sidebar_account_title": "#11151D",
          "portal_sidebar_account_email": "#828994",
          "portal_sidebar_divider": "#E3E5E9",
          "portal_dashboard_bg_one": "#EF4583",
          "portal_dashboard_bg_two": "#FFC634",
          "portal_sidebar_collapse_button": "#828994",
          "portal_sidebar_collapse_button_hover": "#B3B9C4",
          "portal_sidebar_user_select_background": "#F6F6F6",
          "portal_sidebar_user_select_hover": "#F6F6F6",
          "portal_sidebar_user_select_text": "#323B4B",
          "portal_sidebar_user_select_text_hover": "#323B4B",
          "portal_sidebar_user_select_border": "#EEEEEE",
          "portal_sidebar_user_select_border_hover": "#828994"
        },
        "is_subscribed": true,
        "addon_subscriptions": "App\\Http\\Resources\\Addons\\AddonSubscriptionResource",
        "keep_deleted_files_for": 30,
        "tax": 17.5,
        "month_end": 25,
        "statement_frequency": "monthly",
        "billing": {
          "invoice_address_1": "Suite E, 5 The Briars",
          "invoice_address_2": "Waterberry Drive",
          "invoice_town_city": "Waterlooville",
          "invoice_county": "Hampshire",
          "invoice_postcode": "PO7 7YH",
          "invoice_country": "United Kingdom",
          "invoice_email": "gareth@codepotato.co.uk"
        },
        "task_board_template": "App\\Http\\Resources\\Board\\BoardResource",
        "ip_whitelist": [
          "192.168.0.1",
          "127.0.0.1"
        ],
        "welcome_paragraph_html": "<h1>Welcome.</h1>",
        "email_welcome_paragraph_html": "Welcome to Plannr!",
        "show_fact_find_illustrations": true,
        "cc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "bcc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "reply_to_email_address": "jack@example.com",
        "mobile_app_support_number": "01234 567890",
        "mobile_app_support_email": "support@example.com"
      },
      "notes_count": 5,
      "reconciliation": {
        "amount": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "percentage": 100,
        "is_reconciled": true
      }
    }
  ]
}